/* div {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  position: absolute;
} */

.eighteen {
    width: 100%;
    height: 100vh;
    background-color: rgb(0, 0, 0, 0.7);
    position: fixed;
    top: 0;
    z-index: 10;
}

.eighteen .ask-container {
    background-color: #fff;
    margin: auto;
    margin-top: 200px;
    border-radius: 5%;
    width: 50%;
}

.warn-content {
    display: block;
    align-items: center;
    margin: auto;
    position: relative;
    padding: 10px;
}

.content-box-right img {
    width: 100%;
    aspect-ratio: 1/1;
}

.modal.show .modal-dialog :has(.warn-content) {
    margin: 5rem auto 0 auto;
}

.warn-text {
    display: flex;
    margin-top: 10px;
    margin-bottom: 10px;
    position: relative;
    transform: translate(25%, 25%);
}

.limit {
    display: inline-block;
    text-decoration: none;
    color: #fff;
    border-radius: 3px;
    box-shadow: inset 0 2px 0 rgb(255 255 255 / 20%), 0 2px 2px rgb(0 0 0 / 19%);
    font-weight: bold;
    letter-spacing: 1px;
    background: #ff0a00;
}

.limit p {
    font-size: 2em;
    padding: 8px 10px 5px 10px;
}
.limit-text {
    font-size: 2em;
    margin-left: 10px;
    position: relative;
    top: 7px;
}

.btn-type {
    align-items: center;
    text-align: center;
    /* padding-left: 21%; */
}

.btn-type .warn-no {
    background-image: linear-gradient(
        180deg,
        rgb(233, 219, 219),
        rgb(216, 29, 29)
    );
}

.btn-type .warn-ok {
    background-image: linear-gradient(
        180deg,
        rgb(233, 219, 219),
        rgb(21, 170, 21)
    );
}

.btn-type button {
    margin-top: 10px;
    font-size: 22px;
    width: 100%;
}

.modal-body .category{
    display: grid;
    grid-template-columns: 55px 1fr;
    /* border: 2px solid black; */
    width: fit-content;
    text-align: left;
    vertical-align: middle;
    margin-bottom: 10px;
}

@media screen and (max-width: 767px) {
    .modal-body .category:first-child {
        margin-top: 15px;
    }
}

.modal-body .category .title{
    width: 55px;
}
.modal-body .category .content{
    display: flex;
    gap: 5px;
    flex-wrap: wrap;
    max-height: 100px;
    overflow: auto;
}

.modal-body .category .content .label{
    position: relative;
    height: fit-content;
}
.modal-body .category .content .label:hover{
    color: #fff;
}